//+------------------------------------------------------------------+
//|                                                 i-H6-From-H1.mq4 |
//|                                             . aka KimIV |
//|                                              http://www.kimiv.ru |
//+------------------------------------------------------------------+
#property copyright "  . aka KimIV"
#property link      "http://www.kimiv.ru"

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Aqua
#property indicator_color2 Red

//---- the external parameters  ---------------------------------------------
extern int NumberOfBarH6 = 100;     // quantity H6 of the candles

//------- Custom indicator initialization function                          --------------------------------------

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
void init() {
  int i;

  for (i=0; i<NumberOfBarH6; i++) {
    ObjectDelete("H6Bar" + i);
  }
  for (i=0; i<NumberOfBarH6; i++) {
    ObjectCreate("H6Bar" + i, OBJ_RECTANGLE, 0, 0,0, 0,0);
  }
  Comment("");
}

//+------------------------------------------------------------------+
//| Custor indicator deinitialization function                       |
//+------------------------------------------------------------------+
void deinit()
{
  //the removal of the objects
  for (int i=0; i<NumberOfBarH6; i++) {
    ObjectDelete("H6Bar" + i);
  }
  Comment("");
}

//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
void start() {
  int sh6=0, sh1=0;
  double   oh6, ch6; // the prices of opening and closing N' the candle

  datetime to6, tc6; // the time of opening and closing N' the candle

  if (Period()!=60) Comment("Indicator i -H6-From-H1 support THE only equal to Ny");
  else {
    ch6 = Close[0];
    tc6 = Time[0];
    // we run on H6 to the candles
    while (sh6<NumberOfBarH6) {
      // we run on H1 to the candles
      if (TimeHour(Time[sh1])==0 || TimeHour(Time[sh1])==5
      || TimeHour(Time[sh1])==11 || TimeHour(Time[sh1])==17)
      {
        oh6 = Open[sh1-1];
        to6 = Time[sh1-1];
        ObjectSet("H6Bar"+sh6, OBJPROP_TIME1, to6);
        ObjectSet("H6Bar"+sh6, OBJPROP_PRICE1, oh6);
        ObjectSet("H6Bar"+sh6, OBJPROP_TIME2, tc6);
        ObjectSet("H6Bar"+sh6, OBJPROP_PRICE2, ch6);
        ObjectSet("H6Bar"+sh6, OBJPROP_STYLE, STYLE_SOLID);
        ObjectSet("H6Bar"+sh6, OBJPROP_BACK, True);
        if (oh6<ch6) ObjectSet("H6Bar"+sh6, OBJPROP_COLOR, indicator_color1);
        else ObjectSet("H6Bar"+sh6, OBJPROP_COLOR, indicator_color2);
        ch6 = Close[sh1];
        tc6 = Time[sh1];
        sh6++;
      }
      sh1++;
    }
  }
}
//+------------------------------------------------------------------+

